Introduction

Navigation: »No topics above this level«

Introduction

This guide will walk you through setting up a fully functional EventSentry installation using Microsoft's free SQL Server 2008 Express Edition database. It can be downloaded for free from Microsoft's web site at: http://download.microsoft.com. The steps for setting up the full version of SQL 2005 are very similar, so you can use this guide for that as well.

Before we start with the EventSentry installation we will need to prepare the server to ensure that the components required by EventSentry are installed and setup correctly. Since the majority of EventSentry customers are currently using 32-bit Windows Server 2003 we are going to be using this in our example. The main requirements are of course the SQL server itself and Internet Information Server (akak IIS) to display the web reporting.


Downloads

Navigation: Setting up SQL 2008 R2 Express >

Downloads

The first thing you need to download is MS SQL 2008 R2 Express Edition. The direct link is here:

64-bit: http://www.microsoft.com/downloads/info.aspx?na=46&SrcFamilyId=967225EB-207B-4950-91DF-EEB5F35A80EE&SrcDisplayLang=en&u=http%3a%2f%2fdownload.microsoft.com%2fdownload%2f5%2f5%2f8%2f558522E0-2150-47E2-8F52-FF4D9C3645DF%2fSQLEXPRWT_x64_ENU.exe

32-bit: http://www.microsoft.com/downloads/info.aspx?na=46&SrcFamilyId=967225EB-207B-4950-91DF-EEB5F35A80EE&SrcDisplayLang=en&u=http%3a%2f%2fdownload.microsoft.com%2fdownload%2f5%2f5%2f8%2f558522E0-2150-47E2-8F52-FF4D9C3645DF%2fSQLEXPRWT_x86_ENU.exe

SQL Server 2008 R2 Express requires .NET Framework v3.5, which can be obtained through Microsoft Update or from http://www.microsoft.com/downloads/en/details.aspx?FamilyId=333325FD-AE52-4E35-B531-508D977D32A6&displaylang=en.


Installation

Navigation: Setting up SQL 2008 R2 Express >

imageInstallation

We are now ready to get started. After launching the setup file, choose "New installation or add features to an existing installation."

Accept the license terms and click "Next >" to continue installation.

Here you can select the features to install. At a minimum, you will need the "Database Engine Services". It is recommended to also install "Management Tools - Basic" which gives you the SQL Server Management Studio Express utility which is helpful for maintenance.

In this case, we are going to just install everything.

It is recommended that in this step you create a new named instance for EventSentry. That way, if there is already a SQL instance on the machine, we won't be stepping on its settings. In this case, we named the instance "EVENTSENTRY".

The next step asks you what account to run the different SQL services from. We will just accept the defaults. Click on the "Collation" tab, and make sure that the Database Engine collation is set to "SQL_Latin1_General_CP1_CI-AS". It should be by default, but there can be issues if the wrong collation is selected. Click "Next >" to continue.

This next part is very important. EventSentry requires "Mixed Mode" authentication, so that SQL user accounts can be used to log into SQL Server in addition to Windows users accounts. There are two accounts that EventSentry uses that have very limited permissions: eventsentry_svc and eventsentry_web. They are SQL-only accounts only and have no Windows rights.

In "Mixed Mode", you will need to set a password for the "sa" user account. This is the master user of the database (like an Administrator in Windows or root in Unix). This password will be important later on when setting up EventSentry.

You then get the "Error Reporting" settings. Use whatever you like here, it makes no difference in the functionality of the database.

Click "Next >" to being the actual installation. Once this is done - and assuming that the installation went through OK - you will have a fully functional database server.

We aren't finished yet though, there are still a few things we need to configure in SQL Server before we can use it with EventSentry.


Configuration

Navigation: Setting up SQL 2008 R2 Express >

Configuration

By default, SQL Server Express does not accept incoming TCP/IP connections. EventSentry however needs remote access to the database through TCP/IP in order for the remote the remote agents to write to the database.

To enable this, open the SQL Server Configuration Manager from Start -> All Programs -> Microsoft SQL Server 2008 R2 -> Configuration Tools

You can see on the right that TCP/IP is set to "Disabled". Right click on it and choose "Enable". It will warn you that the SQL Server will need to be restarted for changes to take effect. To do this, click on "SQL Server Services". Right-click "SQL Server (EVENTSENTRY)" and choose "Restart".

Now we need to find out which port it is running on. Double click TCP/IP to bring up its properties. Click on the "IP Addresses" tab.

Under "IPAll" at the bottom, you will see "TCP Dynamic Ports". This is the port that the SQL Server is listening on. In this case, it is running on port 49171. Yours will most likely be different.

Make a note of this port since we will need it later when setting up our connection string.

If you are using Windows Firewall, then you will most likely need to open this port.


Installation

Navigation: Setting up IIS >

Installation

We are now ready to prepare IIS for EventSentry. The main things needed are the World Wide Web Service and Active Server Pages. Please note that "Active Server Pages" and "ASP.NET" are two different things. EventSentry does not currently use the .NET framework.

For Server 2003:

Go to Control Panel -> Add/Remove Programs. Once in there, click on "Add/Remove Windows Components" over on the left. Double click on "Application Server" to open the details. Next, double click on "Internet Information Services (IIS)". Scroll down to the bottom of those details, and check the "World Wide Web Service" box to select it. You will now also have to double click it to go into its details as well. At the top you will need to check "Active Server Pages".

Click OK to all the open windows to get back to the "Windows Components Wizard". Click on the Next button to begin installing the new components. We are now ready to start the EventSentry install!

For Server 2008:

Go to Administrative Tools -> Server Manager. Go to the "Roles" section, and click "Add Roles". Choose the "Web Server (IIS)" role and click "Next >". When you get to the "Role services" section, check the box for "ASP". Please note, this is not the same as "ASP.NET".

Click "Next >" and it may tell you additional role services are required. Click "Add Required Role Services" to continue, then "Next >" , then "Install". Once it is done, click "Close" and you are ready to install EventSentry.


Installation

Navigation: Installing EventSentry >

Installation

This step is quite simple once you have the previous steps completed. Double click on the installer to begin the install. Once you accept the license agreement, you will be asked for your license information.

Please note that all the information must match EXACTLY. All fields, including name and company name, are case sensitive.

Click Next to start entering your environment's information.

By leaving the $HOSTNAME variable in the sender email, you can see which machine the email is coming from. For instance, if your server named DCCHI1 sends an email alert, it will come from DCCHI1@yourdomain.com

I also recommend leaving the two check boxes at the bottom selected. You can start excluding events you do not want to see later on. Click Next to choose the components to install.

Here I kept the defaults but also added the "Widgets", "Setup IIS", and "Setup MSSQL Database" features. This will get us everything we need to use all the features. Click on Next to continue.

Now we need to tell EventSentry which account to run the heartbeat service under.

The EventSentry Heartbeat Service makes sure that the EventSentry service is running on your remote machines. Because of this, it needs permissions to query them. We recommend using a domain admin account to run this service under. Please make sure it is a valid account before proceeding, or the installer will fail later on. If you are unsure about which account to use here, then simply leave both fields empty. You can configure the user account the EventSentry Heartbeat Monitor is running under later on.

Next we need to tell EventSentry about our database.

Even though this machine is running on the local host, you must use the actual Windows name of the computer (or IP). If you do not, each of the agents are going to try writing to localhost which of course would be themselves, not this machine. Here we are entering the server name as "COMPUTERNAME\SQLINSTANCE,49171". "QA-DB01" is the name of the server, "EVENTSENTRY" is the instance we installed, and "49171" is the port SQL is listening on.

You should also make sure to enter the "sa" account and password for the authentication. This way you can be sure the installer has the permissions needed to create all objects in the database.

This is the database EventSentry will create and use on your server. We recommend leaving the default "EventSentry" for the "Database Name", but it can of course be changed.

The next two lines show the SQL users that will be created. The EVENTSENTRY_SVC account is used by the agents to write to the database, whereas the EVENTSENTRY_WEB account is used by the web reports to read from the database. We recommend using a different password for each one, but that is up to you.

Now the web reports need to be configured as well.

It should already have correctly entered the information from our earlier input. You can click Next if it all looks correct.

Click on the Install button and it should complete successfully in a few minutes. Once it is done, hit Finish and you are ready to start using EventSentry!

Once you have this up and running, please check out our screen casts located here:

http://www.eventsentry.com/support/screencasts

They are a quick way to get up and running and I highly recommend spending some time on them. It will make your EventSentry experience much more smooth.

If you have any questions, please contact us at support@netikus.net and we would be glad to help you out.